Skip to main content

Create Withdrawal Request

The POST /user/withdrawals endpoint allows you to create a withdrawal request for a user. The withdrawal happens to the GP Safe’s Owner wallet address.
Withdrawal Restrictions:
  • Only specific tokens are currently supported for withdrawals
  • Withdrawals are restricted to the Safe owner address — the wallet address that initiated the Safe deployment via the POST /user/account endpoint.
Token addresses supported for withdrawals on Celo :
  • CeloUSDT = “0x48065fbbe25f71c9282ddf5e1cd6d6a887483d5e”
  • CeloUSDC = “0xceba9300f2b948710d2653dd7b07f33a8b32118c”
curl --request POST \
  --url https://gp-auth-module.sandbox.gnosispay.in/user/withdrawal \
  --header 'Content-Type: application/json' \
  --data '{
  "tokenAddress": "<string>",
  "amount": "<string>"
}'